# These are external variables, and shouldn't clash with anything else
#  leaptable_compiler
#  leaptable_compiler_BUILT
#

if [ -z ${leaptable_compiler_BUILT} ]
then
    leaptable_compiler="obj/leaptable-compiler"
    EXTRAS="-std=gnu99 -D_GNU_SOURCE -DAPP_NAME=\"leaptable-compiler\" \
        ${LIBISO8601_CFLAGS} ${LIBISO8601_LIBS}"

    echo "Building application ${leaptable_compiler}..."

    do_cmd source src/leaptable-compiler/build.monolithic || return 1

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${leaptable_compiler} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CC} ${CFLAGS} -I obj -o "${leaptable_compiler}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    leaptable_compiler_BUILT=1

fi

# vim: syntax=sh:expandtab:ts=4:sw=4
